Class Fox::FXAccelTable

In: | FXAccelTable.rb
Parent: | FXObject

The accelerator table sends a message to a specific target object when the indicated key and modifier combination is pressed.

Methods

addAccel hasAccel? new removeAccel targetOfAccel

Public Class methods

new() {|acceleratorTable| ...}

Construct empty accelerator table

Public Instance methods

addAccel(hotkey, target=nil, seldn=0, selup=0)

Add an accelerator to the table

hasAccel?(hotkey)

Return `true` if accelerator specified

targetOfAccel(hotkey)

Return target object of the given accelerator

removeAccel(hotkey)

Remove mapping for specified hot key